Update Ledger Transaction Source
curl --request PUT \
--url https://api.sandbox.teal.dev/v0/sources/ledgers/{ledger_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'teal-instance-id: <teal-instance-id>' \
--data '
{
"enabled": true,
"auth_token": "<string>",
"sync_from": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.sandbox.teal.dev/v0/sources/ledgers/{ledger_id}"
payload = {
"enabled": True,
"auth_token": "<string>",
"sync_from": "2023-11-07T05:31:56Z"
}
headers = {
"teal-instance-id": "<teal-instance-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'teal-instance-id': '<teal-instance-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({enabled: true, auth_token: '<string>', sync_from: '2023-11-07T05:31:56Z'})
};
fetch('https://api.sandbox.teal.dev/v0/sources/ledgers/{ledger_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}Transaction Sources
Update Ledger Transaction Source
Update an existing Plaid source account with a new Plaid processor token.
PUT
/
v0
/
sources
/
ledgers
/
{ledger_id}
Update Ledger Transaction Source
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Headers
The Teal instance ID
An optional identifier for audit logging.
Path Parameters
The ledger ID belonging to an existing Plaid transaction source account
Body
application/json
Response
Successful Response
⌘I